/* =========================================
   MON COMPTE — espacement colonnes layout twocol_bricks
   ========================================= */
@media screen and (min-width: 40em) {
    .layout--twocol-bricks > .layout__region--first-above,
    .layout--twocol-bricks > .layout__region--first-below {
        padding-right: 20px;
    }
    .layout--twocol-bricks > .layout__region--second-above,
    .layout--twocol-bricks > .layout__region--second-below {
        padding-left: 20px;
    }
}



/* =========================================
   HEADER TOP logo centered
   ========================================= */
.logo-and-site-name-wrapper {
    justify-content: center !important;
    margin-bottom: 30px !important;
}

@media (min-width: 992px) {
    .header-container .row .col-lg-6 {
        width: 100% !important;
    }
}

/* =========================================
   MENU MANAGER / COMPTE UTILISATEUR (remove triangle)
   ========================================= */
.header-top-highlighted ul.sf-menu .sf-sub-indicator::after {
    content: unset !important;
}

.header-top-highlighted ul.sf-menu {
    font-size: 25px !important;
}

.header-top-highlighted .sf-menu li > span,
.header-top-highlighted .sf-menu li > a {
    cursor: pointer;
    transition: background 0.2s ease, color 0.2s ease;
}

.header-top-highlighted__section ul.menu:not(.sf-accordion) li a,
.header-top-highlighted__section ul.menu:not(.sf-accordion) li > span {
    font-size: 13px !important;
    font-weight: 300 !important;
}


/* =========================================
   TITRES BLOCKS INFO
   ========================================= */
.header-top__container h2.title {
    font-size: 18px !important;
    margin: 0 0 40px 0 !important;
    border-bottom-width: 1px !important;
    border-bottom-style: solid !important;
    border-color: var(--mt-border-color) !important;
    text-align: left !important;
}

/* =========================================
   MENU SUPERFISH (Uiverse.io by adamgiebl)
   ========================================= */
@media (min-width: 768px) {
    .buttonMenuSuperfish {
        display: flex;
        gap: 5px;

        /* Centrage horizontal et vertical */
        justify-content: center;
        align-items: center;

        /* Centrer le conteneur sur la page */
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        margin-top: 7px !important;
    }

    .buttonMenuSuperfish > li {
        padding: 1px 10px !important;
        border-radius: 4px;
        cursor: pointer;
        border: 0;
        box-shadow: rgb(0 0 0 / 20%) 0 0 8px;
        letter-spacing: 1.5px;
        text-transform: uppercase;
        font-size: 15px;
        transition: all 0.5s ease;
        text-align: center;
    }

    .buttonMenuSuperfish > li:hover {
        letter-spacing: 3px;
        background-color: hsl(261deg 80% 48%);
        color: hsl(0, 0%, 100%);
        /** box-shadow: rgb(93 24 220) 0px 7px 29px 0px; */
    }

    .buttonMenuSuperfish > li:active {
        letter-spacing: 3px;
        background-color: hsl(261deg 80% 48%);
        color: hsl(0, 0%, 100%);
        box-shadow: rgb(93 24 220) 0px 0px 0px 0px;
        transform: translateY(10px);
        transition: 100ms;
    }
}

/* sais pas si utilisé
#block-gportal-showcaseplus-navigationprincipale {
    margin-top: 35px !important;
}
 */

/* =========================================
   Menu autocomplete (OBLIGATOIRE)
   sinon fond transparent
   ========================================= */
.ui-autocomplete {
    background-color: #fff !important;
    border: 1px solid #ccc;
    z-index: 1000;
    border-radius: 6px;
}

.ui-autocomplete .ui-menu-item-wrapper {
    background-color: #fff !important;
    color: #000;
    font-weight: 700;
    border-radius: 4px;
    text-decoration: none;
    padding: 4px 8px;
}

/* Hover / sélection */
.ui-autocomplete .ui-menu-item-wrapper.ui-state-active {
    background-color: #d6d6d6 !important;
    color: #000;
    text-decoration: none;
}

/* Hover / sélection */
.ui-menu-item-wrapper.ui-state-active {
    background-color: #0074bd !important;
    color: #fff;
}

input.form-autocomplete.form-text {
    border-radius: 12px !important;
}

/* =========================================
   Page travs dans decla multistep
   ========================================= */
[data-webform-key="page_facturation"]
~ .form-actions
input[type="submit"]#edit-actions-wizard-next {
    color: red !important;
    font-weight: 700;
}


.element-not-modifiable {
    font-weight: bold;
    color: red;
    text-align: center;
}

.element-not-modifiable td {
    color: red;
    transition: color 0.3s ease;
}

.element-not-modifiable:hover td {
    color: black;
    cursor: pointer;
}


.main-content__section {
    padding: 0px 0 70px !important;
}

.export-link {
    color: #0d6efd !important; /* Bleu pro (Bootstrap-like) */
    font-weight: 600; /* Semi-bold, plus élégant que bold */
    text-decoration: none; /* Pas de soulignement */
    transition: color 0.2s ease, text-decoration-color 0.2s ease;
}

.export-link:hover {
    color: #084298 !important; /* Bleu plus foncé au hover */
    text-decoration: underline; /* Soulignement discret */
}


/********************************************************************************/

/**
 * @file
 * Use this CSS file to override base CSS rules


.faqfield-answer {
    height: unset !important;
}


.ui-dialog-titlebar-close:after {
    content: 'X' !important;
    position: absolute;
    top: -2px;
    right: 5px;
    font-weight: bold;
    filter: invert(100%);
}

.pageSmallText {
    width: 90% !important;
}


.form-item-email-phone-textfield {
    padding-left: 20px;
}

#edit-email-phone-textfield {
    padding: 4px 15px !important;
    border-color: #dc3545;
}

.blockSalarieNameCenter {
    text-align: center;
}


/// logo site
.logo-and-site-name-wrapper {
    justify-content: center !important;
}

@media (min-width: 900px) {
    .webform-submission-changement-adherent-form {
        justify-content: space-around !important;
        padding-right: 15% !important;
    }
}


#edit-adherent-actif-container {
    flex-basis: 50% !important;
    min-width: 50% !important;
}
 */


/* Disabled form elements
:root .region--default-background,
:root .region--bright-background,
:root .region--accent-background,
:root .region--tint-background,
:root .region--pattern {
    /*Disabled and read only forms
    --mt-form-disabled-background-color: #f511111a !important;
}

#block-showcaseplus-page-title {
    text-align: center !important;
}

@media (max-width: 900px) {
    .webform-actions {
        text-align: center !important;
    }
    input[type="submit"] + input[type="submit"],
    .mt-button + .mt-button {
        margin-top: 10px; !important;
        margin-left: 0 !important;
    }
}
*/

